body {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100dvw;
    justify-content: flex-start;
    align-items: center;
    height: 100dvh;
    overflow: clip !important;
    margin: 0;
    padding: 0;
    will-change: background-color;

}



.dark-mode {

    background-color: #000000;
    will-change: background-color;
    color: #fff;

}


.light-mode {
    background-color: #FFFFFF;
    will-change: background-color;
    color: #000000;
}


.book_container {
    width: 100%;
    max-width: 100%;
    display: block;
}


.book {
    height: 100vh;
    width: 100%;
    position: relative;
    overflow-y: hidden;
    overflow-x: hidden;
    /* Mantém o overflow ativo */
    scrollbar-width: none;
    /* Firefox: esconde a barra de rolagem */
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;

}

.book_container {
    height: 100vh;
    width: 100%;
    visibility: hidden;
    position: relative;
    overflow-y: hidden;
    overflow-x: hidden;
    /* Mantém o overflow ativo */
    scrollbar-width: none;
    /* Firefox: esconde a barra de rolagem */
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    display: none;
}

.container_book_element_grasp {
    height: 100vh;
    width: 100%;
    overflow-y: hidden;
    overflow-x: hidden;
}



.light-mode .book {
    background: #dbdbdb;
}

.book::-webkit-scrollbar {
    width: 1px;
    height: 1px;

}

.book::-webkit-scrollbar-track {
    background: #f0f0f0;
    scrollbar-width: none !important
}

.book::-webkit-scrollbar-thumb {
    background: #888;
    scrollbar-width: none !important
}

.book::-webkit-scrollbar-thumb:hover {
    background: #555;
    scrollbar-width: none !important
}



.page {
    width: 100%;
    height: 100%;
    position: absolute;
    overflow-y: auto;
    scroll-behavior: smooth;
    scroll-snap-type: y proximity;
    display: flex;
    visibility: hidden;
    padding: 30px 20px;
    overflow-x: hidden !important;
    scrollbar-width: none;

    overscroll-behavior: contain;
    /* -webkit-overflow-scrolling: touch; */
    /* Mantém o movimento natural do scroll */
}

/* Melhora a fluidez no iOS */
.page::-webkit-scrollbar {
    display: none;
}




.sepia-night-shift {

    position: absolute;
    z-index: 99999999999999999999 !important;
    height: 100%;
    width: 100%;
    background-color: rgba(196, 81, 60, 0.178);
    filter: sepia(0.2) hue-rotate(15deg) brightness(0.9);
    pointer-events: none !important;
    display: flex;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}



.sepia-night-shift.show {}




.vertical-mode .book {

    height: auto;
    overflow-x: hidden !important;
    display: block;
    scroll-behavior: auto;
}

.vertical-mode .page {
    display: block;
    position: relative;
    margin: 0;
    /* Remove a margem inferior */
    height: 100vh;
    /* Ocupa 100% da altura da tela */
    overflow: hidden;
    /* Esconde qualquer conteúdo que exceda a altura da página */
    box-sizing: border-box;
    /* Inclui padding e bordas no cálculo de altura */
}

p {
    text-rendering: optimizeLegibility !important;
    -webkit-font-smoothing: antialiased !important;
    /* Safari/Chrome */
    -moz-osx-font-smoothing: grayscale !important;
    /* Firefox */
    background-attachment: fixed !;
}

.first_container_buy {
    height: 100%;
    width: 100%;
    transition: transform 1s ease-in-out;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateY(0%);
}

.second_container_buy {
    height: 100%;
    width: 100%;
    position: absolute;

    visibility: hidden;
    transition: transform 1s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateY(100%);
}


.text_alert_user_buy {

    width: 100%;
    height: 100%;
    font-size: 14px;
    padding: 10px;
    text-align: justify;
    font-family: 'Times New Roman', Times, serif;
    display: flex;
    align-items: center;
    justify-content: center;
}


.container_handler_nav_button_bottom {
    background-color: black;
    width: 100%;
    position: relative;

}

.__handle_bottom_style-pushable {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.__handle_bottom_style-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: hsl(0, 0%, 0%);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.light-mode .__handle_bottom_style-shadow {
    background: hsl(0, 0%, 100%);
}



.__handle_bottom_style-pushable:hover {
    filter: brightness(110%);
    -webkit-filter: brightness(110%);
}

.__handle_bottom_style-pushable:hover .__handle_bottom_style-front {
    transform: translateY(-6px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__handle_bottom_style-pushable:active .__handle_bottom_style-front {
    transform: translateY(-2px);
    transition: transform 34ms;
}

.__handle_bottom_style-pushable:hover .__handle_bottom_style-shadow {
    transform: translateY(4px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__handle_bottom_style-pushable:active .__handle_bottom_style-shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

.__handle_bottom_style-pushable:focus:not(:focus-visible) {
    outline: none;
}


.__handle_bottom_style-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: hsl(0, 0%, 0%);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.light-mode .__handle_bottom_style-shadow {
    background: hsl(0, 0%, 100%);
}


.__handle_bottom_style-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: linear-gradient(to left,
            hsl(0, 0%, 0%) 0%,
            hsl(0, 0%, 0%) 8%,
            hsl(0, 0%, 0%) 92%,
            hsl(0, 0%, 0%) 100%);
}


.light-mode .__handle_bottom_style-edge {
    background: linear-gradient(to left,
            hsl(0, 0%, 100%) 0%,
            hsl(0, 0%, 100%) 8%,
            hsl(0, 0%, 100%) 92%,
            hsl(0, 0%, 100%) 100%);
}

.__handle_bottom_style-front {
    display: block;
    position: relative;
    padding: 27px 27px;

    color: white;
    background: hsl(0, 0%, 0%);
    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);


}


.light-mode .__handle_bottom_style-front {
    background: hsl(0, 0%, 100%);
}


.container_children_icon.animation_border_index_0 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, #F28A2E, #401404);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_1 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, #630c27, #770026);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_2 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, #b60000, #e60303);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_3 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, rgb(230, 77, 6), rgb(160, 37, 0));

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_4 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, rgb(255, 255, 255), rgb(255, 255, 255));

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_5 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #000000, #000000 50%, #000000),
        conic-gradient(from var(--border-angle), transparent 20%, rgb(83, 0, 116), rgb(160, 37, 0));

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}




/* Rotação */
@keyframes __container_gear_bg-spin {
    to {
        --border-angle: 1turn;
    }
}

/* Fade-in da borda */
@keyframes fade_border {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}






.container_element_handle_pushable {

    width: 100%;
    height: 100%;
    background-color: transparent;
    z-index: 9999;
    display: flex;
    align-items: center;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.element_align_enter {
    position: absolute;

    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    z-index: 9999999999999999999999 !important;
}


.container-icon-handler-children {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
}


.container_children_icon {
    height: 40px;
    width: 40px;
    display: flex;
    overflow: hidden !important;
    align-items: center;
    justify-content: center;

}



.ico_handle_settings {
    height: 28px;
    overflow: hidden !important;
    width: 28px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    transform: scale(0.9);

}

.icon_locked {
    background-image: url('../Imagens/Estrutural/application-cel.png');
    filter: invert(1);
}

.book_mark_agenda {
    background-image: url('../Imagens/Estrutural/save.png');
    filter: invert(1);
}

.light-mode .book_mark_agenda {
    background-image: url('../Imagens/Estrutural/save.png');
    filter: invert(0);
}


.settings_icon_element {
    background-image: url('../Imagens/Estrutural/setting.png');
    filter: invert(1);

}


.light-mode .settings_icon_element {
    background-image: url('../Imagens/Estrutural/setting.png');
    filter: invert(0);
}


.settings_icon_element.el_add_spin {
    animation: spinGear 2s linear infinite;
}


@keyframes spinGear {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


.ico_handle_text_content {
    font-size: 10px !important;
    font-family: sans-serif;
    font-weight: bold;
    text-align: center;
}



.font-container-ele {

    width: 100%;
    height: 100px;
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
}









.__code_painel_button-82-pushable {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.__code_painel_button-82-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: hsl(0deg 0% 0% / 0.25);
    will-change: transform;
    transform: translateY(2px);
    transition:
        transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.__code_painel_button-82-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: linear-gradient(to left,
            hsl(0, 0%, 0%) 0%,
            hsl(0, 0%, 9%) 8%,
            hsl(0, 0%, 1%) 92%,
            hsl(0, 0%, 0%) 100%);
}

.__code_painel_button-82-front {
    display: block;
    position: relative;
    padding: 9px 19px;
    border-radius: 12px;
    font-size: .900rem;
    color: white;
    font-weight: bold;
    background: hsl(0, 0%, 0%);
    will-change: transform;
    transform: translateY(-4px);
    transition:
        transform 600ms cubic-bezier(.3, .7, .4, 1);
}


.__alert_user_ux_progress {
    background: transparent;
    position: relative;
    transition: opacity 1s ease;
    /* << fade suave */
    will-change: opacity;
    overflow: hidden;

}

/* BEFORE padrão */
.__alert_user_ux_progress::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    transform-origin: left center;
    transform: scaleX(0);
    background: linear-gradient(90deg, #777777, #c9c9c9be);
    filter: drop-shadow(0 6px 12px rgba(52, 211, 153, 0.12));
    will-change: transform;
    opacity: 1;
    transition: opacity 1s ease;
    /* << fade suave */
    will-change: opacity;
}

/* BEFORE padrão */
.light-mode .__alert_user_ux_progress::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    transform-origin: left center;
    transform: scaleX(0);
    background: linear-gradient(90deg, #e0e0e0, #ffffffbe);
    filter: drop-shadow(0 6px 12px rgba(52, 211, 153, 0.12));
    will-change: transform;
    opacity: 1;
    transition: opacity 1s ease;
    /* << fade suave */
    will-change: opacity;
}


/* AFTER padrão */
.__alert_user_ux_progress::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background: rgba(255, 255, 255, 0);
    mix-blend-mode: screen;
    transition: opacity 1s ease;
    /* fade também */
    will-change: opacity;
}

@keyframes fill {
    0% {
        transform: scaleX(0);
    }

    85% {
        transform: scaleX(0.92);
    }

    92% {
        transform: scaleX(0.985);
    }

    100% {
        transform: scaleX(1);
    }
}

@keyframes flash {
    0% {
        background: rgba(255, 255, 255, 0);
    }

    40% {
        background: rgb(255, 255, 255);
    }

    100% {
        background: rgba(255, 255, 255, 0);
    }
}

/* ANIMAÇÃO ATIVA */
.__alert_user_ux_progress.__alert_user_ux_run::before {
    animation: fill 2s linear forwards;
}

.__alert_user_ux_progress.__alert_user_ux_run::after {
    animation: flash 0.25s linear forwards;
    animation-delay: 2s;
}

/* RESET – com fade-out */
.__alert_user_ux_progress.__alert_user_ux_reset::before {
    opacity: 0;
    /* some suave */
    transform: scaleX(0);
    /* volta ao estado inicial */
    background: transparent;
}

.__alert_user_ux_progress.__alert_user_ux_reset::after {
    opacity: 0;
    /* caso queira resetar o flash também */
}

/* fade suave do ::before */
.__alert_user_ux_progress.__alert_user_ux_before_fade::before {
    opacity: 0;
    transition: opacity 1s ease;
    will-change: opacity;
}


.active-container {
    background-color: rgb(255, 255, 255);
    border-radius: 100%;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    animation: trans_form 0.5s ease-in-out;
    transition: transform 0.5s ease-in-out;
}


.light-mode .active-container {
    background-color: rgba(0, 0, 0, 0.774);
    border-radius: 100%;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    animation: trans_form 0.5s ease-in-out;
    transition: transform 0.5s ease-in-out;
}

.active-light-container {
    background-color: rgb(0, 0, 0);
    border-radius: 100%;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    animation: trans_form 0.5s ease-in-out;
    transition: transform 0.5s ease-in-out;
}


@keyframes trans_form {
    0% {
        transform: scale(1);
    }

    30% {
        transform: scale(1.07);
        /* cresce um pouquinho */
    }

    60% {
        transform: scale(0.97);
        /* desce um pouquinho (efeito pulo) */
    }

    100% {
        transform: scale(1);
        /* volta ao normal */
    }
}




@keyframes levant_element_styleds_componests {
    0% {
        transform: translateY(10vh);
    }

    100% {
        transform: translateY(0vh);
    }
}


.ico_handle_settings.animation {

    animation: levant_element_styleds_componests 1s ease-in-out;
}


.container_children_icon.animation_border_index_light_0 {
    --border-size: 2px;
    --border-angle: 0turn;

  background-image: conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff), conic-gradient(from var(--border-angle), transparent 20%, #F28A2E, #401404);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}


.container_children_icon.animation_border_index_light_1 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff),
        conic-gradient(from var(--border-angle), transparent 20%, #ff0080, #470124);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_light_2 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff),
        conic-gradient(from var(--border-angle), transparent 20%, #ffa115, #ce7b00);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_light_3 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff),
        conic-gradient(from var(--border-angle), transparent 20%, #006b17, #025814);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_light_4 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff),
        conic-gradient(from var(--border-angle), transparent 20%, rgb(0, 0, 0), rgb(0, 0, 0));

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.container_children_icon.animation_border_index_light_5 {
    --border-size: 2px;
    --border-angle: 0turn;

    background-image:
        conic-gradient(from var(--border-angle), #ffffff, #ffffff 50%, #ffffff),
        conic-gradient(from var(--border-angle), transparent 20%, #2816cc, #0c0072);

    background-size: calc(100% - (var(--border-size) * 2)) calc(100% - (var(--border-size) * 2)), cover;
    background-position: center center;
    background-repeat: no-repeat;

    animation:
        __container_gear_bg-spin 3s linear infinite,
        fade_border 0.8s ease forwards;
}

.summary-text{
    margin: 0;
    padding: 0;
    
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 70px;
}


/* 


.__element_handler_bar_bottom-pushable {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    width: 100%;

    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.__element_handler_bar_bottom-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: hsl(0deg 0% 0% / 0.25);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.__element_handler_bar_bottom-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: linear-gradient(to left,
            hsl(0, 2%, 11%) 0%,
            hsl(0, 0%, 9%) 8%,
            hsl(0, 3%, 6%) 92%,
            hsl(0, 0%, 2%) 100%);
}

.__element_handler_bar_bottom-front {
    display: block;
    position: relative;
    padding: 12px 27px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    color: white;
    background: hsl(0, 0%, 0%);
    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}



.__element_handler_bar_bottom-pushable:hover {
    filter: brightness(110%);
    -webkit-filter: brightness(110%);
}

.__element_handler_bar_bottom-pushable:hover .__element_handler_bar_bottom-front {
    transform: translateY(-6px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__element_handler_bar_bottom-pushable:active .__element_handler_bar_bottom-front {
    transform: translateY(-2px);
    transition: transform 34ms;
} */

.__element_handler_bar_bottom-pushable:hover .__element_handler_bar_bottom-shadow {
    transform: translateY(4px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__element_handler_bar_bottom-pushable:active .__element_handler_bar_bottom-shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

.__element_handler_bar_bottom-pushable:focus:not(:focus-visible) {
    outline: none;
}